Package org.apache.sysds.runtime.ooc.stream

# Class StreamContext

java.lang.Object
org.apache.sysds.runtime.ooc.stream.StreamContext

public class StreamContext extends Object

## Constructor Summary

Constructors
Constructor
Description
`StreamContext()`

## Method Summary

Modifier and Type
Method
Description
`StreamContext`
`addInStream(OOCStream<?>... inStream)`
`StreamContext`
`addOutStream(OOCStream<?>... outStream)`
`void`
`clear()`
`StreamContext`
`copy()`
`void`
`failAll(DMLRuntimeException e)`
`Collection<OOCStream<?>>`
`inStreams()`
`boolean`
`inStreamsDefined()`
`Collection<OOCStream<?>>`
`outStreams()`
`boolean`
`outStreamsDefined()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StreamContext

public StreamContext()

## Method Details

### inStreamsDefined

public boolean inStreamsDefined()

### outStreamsDefined

public boolean outStreamsDefined()

### addInStream

public StreamContext addInStream(OOCStream<?>... inStream)

### addOutStream

public StreamContext addOutStream(OOCStream<?>... outStream)

### inStreams

public Collection<OOCStream<?>> inStreams()

### outStreams

public Collection<OOCStream<?>> outStreams()

### failAll

public void failAll(DMLRuntimeException e)

### clear

public void clear()

### copy

public StreamContext copy()